package com.jiuqi.util.inifile;

import com.jiuqi.util.Stream;
import com.jiuqi.util.MemStream;

public class MemStreamIni extends StreamIni
{
    public MemStreamIni() {
        super((Stream)new MemStream());
    }
    
    @Override
    public void clear() {
        super.clear();
        this.replaceStream((Stream)new MemStream());
    }
    
    @Deprecated
    public static void printIni(final BufferIni ini, final String level) {
        for (int i = 0; i < ini.count(); ++i) {
            final Section sec = ini.get(i);
            System.out.println(String.valueOf(level) + "[" + sec.name() + "]");
            String s = "";
            for (int k = 0; k < sec.count(); ++k) {
                final Ident ident = sec.get(k);
                switch (ident.type) {
                    case 1: {
                        s = (sec.readBoolean(ident.name, false) ? "true" : "flase");
                        break;
                    }
                    case 3: {
                        s = Double.toString(sec.readDouble(ident.name, 0.0));
                        break;
                    }
                    case 7: {
                        s = "*";
                        break;
                    }
                    case 2: {
                        s = Integer.toString(sec.readInteger(ident.name, 0));
                        break;
                    }
                    case 4: {
                        s = Long.toString(sec.readLong(ident.name, 0L));
                        break;
                    }
                    case 6: {
                        s = "Stream";
                        break;
                    }
                    case 5: {
                        s = sec.readString(ident.name, "");
                        break;
                    }
                }
                System.out.println(String.valueOf(level) + "  " + ident.name + " = " + s);
                if (ident.type == 7) {
                    printIni(sec.readIni(ident.name), String.valueOf(level) + "    ");
                }
            }
        }
    }
}
